id: ibm-spectrum-detect

info:
  name: IBM Spectrum - Detect
  author: righettod
  severity: info
  description: |
    IBM Spectrum products was detected.
  reference:
    - https://www.ibm.com/docs/en/products?filter=spectrum
  metadata:
    max-request: 1
    verified: true
    shodan-query: http.title:"IBM Spectrum"
  tags: tech,ibm,spectrum

http:
  - method: GET
    path:
      - "{{BaseURL}}/"
      - "{{BaseURL}}/BACLIENT"
      - "{{BaseURL}}/JNLP"

    stop-at-first-match: true
    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_all(to_lower(body), "ibm spectrum", "com.ibm.")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - '(?i)"guiVersion"\s*:\s*"([0-9.\-]+)"'
          - '(?i)name="?version"?\s+value="?([0-9.\-]+)"?'
# digest: 4a0a00473045022100d6440fecd3ac7c7b6ba7767590fb80eebc0c51500909de888727463c1ecdc56902207e1305ab472b97b672575bf239ad58abd12ecf74cd27ae965bf7ede4eb537612:922c64590222798bb761d5b6d8e72950